From 2d14ebf68aeaa777c631655ef8159579106d592f Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Thu, 27 Feb 2020 16:33:05 +0100
Subject: [PATCH 1/3] pg_standby: Don't use HAVE_WORKING_LINK

HAVE_WORKING_LINK is meant for hard links, mainly for Windows.  Here
it's used for soft links on Unix, and the functionality is optional
anyway, so we can just make it error out normally if needed.
---
 contrib/pg_standby/pg_standby.c | 2 --
 1 file changed, 2 deletions(-)

diff --git a/contrib/pg_standby/pg_standby.c b/contrib/pg_standby/pg_standby.c
index 9784d7aef3..3567c86ac8 100644
--- a/contrib/pg_standby/pg_standby.c
+++ b/contrib/pg_standby/pg_standby.c
@@ -144,10 +144,8 @@ CustomizableInitialize(void)
 	switch (restoreCommandType)
 	{
 		case RESTORE_COMMAND_LINK:
-#ifdef HAVE_WORKING_LINK
 			SET_RESTORE_COMMAND("ln -s -f", WALFilePath, xlogFilePath);
 			break;
-#endif
 		case RESTORE_COMMAND_COPY:
 		default:
 			SET_RESTORE_COMMAND("cp", WALFilePath, xlogFilePath);
-- 
2.25.0

